Bug 653800 - Review Request: lde - Linux disk editor
Summary: Review Request: lde - Linux disk editor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-16 07:59 UTC by Pavel Alexeev
Modified: 2011-04-19 16:57 UTC (History)
4 users (show)

Fixed In Version: lde-2.6.1-4.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-12 21:23:43 UTC
mario.blaettermann: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Pavel Alexeev 2010-11-16 07:59:37 UTC
Spec URL: http://hubbitus.net.ru/rpm/Fedora13/lde/lde.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora13/lde/lde-2.6.1-2.fc13.src.rpm
Description:
de is a disk editor for Linux, originally written to help recover deleted files. It has a simple ncurses interface that resembles an old version of Norton Disk Edit for DOS.

P.S. Spec file formatted by tabs with 5 space width (
http://fedoraproject.org/wiki/PavelAlexeev/tabsize ). Please, do not start
review if it is a problem for you.

Comment 2 Susi Lehtola 2010-11-22 09:58:39 UTC
The last release has been made 5 years ago. This software really looks deprecated, I would think twice before importing it in Fedora..

Comment 3 Pavel Alexeev 2010-11-22 10:12:32 UTC
I known what last release was many times ago. But I do not known better alternatives really. Some time ago I was search deeply. And it just works, even no any computability patches needed. I think it is good idea have its great software in Fedora.

Comment 4 Mario Blättermann 2011-03-27 18:11:31 UTC
(In reply to comment #2)
> The last release has been made 5 years ago. This software really looks
> deprecated, I would think twice before importing it in Fedora..

Doesn't matter, I'm packaging WindowMaker dockapps which are sometimes even longer down than five years.

Some initial issues:

- The tab indents in the header should be tweaked a bit, for better readability.
- Use macros wherever possible: Replace all occurences of the package name
  with %{name}.
- Add a -p switch to the install calls to keep timestamps.
- The file allfs.h has the executable bit set, please remove it (of course
  the bit itself, not the file ;-)

Comment 5 Mario Blättermann 2011-03-27 18:12:13 UTC
Just FYI, Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2950919

Comment 6 Pavel Alexeev 2011-03-31 06:12:09 UTC
Mario, thank you for the support words.

(In reply to comment #4)
> - The tab indents in the header should be tweaked a bit, for better
> readability.
No. You just use another tab width :) Please see initial my comment.

> - Use macros wherever possible: Replace all occurences of the package name
>   with %{name}.
Good catch. Fixed.

> - Add a -p switch to the install calls to keep timestamps.
Fixed.

> - The file allfs.h has the executable bit set, please remove it (of course
>   the bit itself, not the file ;-)
And it fixed also.


http://hubbitus.info/rpm/Fedora13/lde/lde-2.6.1-4.fc13.src.rpm
http://hubbitus.info/rpm/Fedora13/lde/lde.spec

Comment 7 Mario Blättermann 2011-04-01 14:14:10 UTC
Formal review will follow soon.

Comment 8 Pavel Alexeev 2011-04-02 17:12:47 UTC
Mario thank you. I think you forgot fire fedora-review flag and status to assigned. I have set its.

Comment 9 Mario Blättermann 2011-04-02 19:03:42 UTC
$ rpmlint -v *
lde.src: I: checking
lde.src: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
lde.src: I: checking-url http://lde.sourceforge.net/ (timeout 10 seconds)
lde.src: I: checking-url http://dl.sf.net/lde/lde-2.6.1.tar.gz (timeout 10 seconds)
lde.i686: I: checking
lde.i686: W: spelling-error %description -l en_US ncurses -> nurses, curses, n curses
lde.i686: I: checking-url http://lde.sourceforge.net/ (timeout 10 seconds)
lde.i686: W: no-manual-page-for-binary grep-inode
lde-debuginfo.i686: I: checking
lde-debuginfo.i686: I: checking-url http://lde.sourceforge.net/ (timeout 10 seconds)
lde.spec: I: checking-url http://dl.sf.net/lde/lde-2.6.1.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 3 warnings.

Besides the issues from the spellchecker, this package looks good now.


Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2968774


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    7cd3a798cafc07d084db240fd1d1c830  lde-2.6.1.tar.gz
    7cd3a798cafc07d084db240fd1d1c830  lde-2.6.1.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
- See Koji build above.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[+] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it...
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.
    Currently no man page available.

--------------------------------------

PACKAGE APPROVED

--------------------------------------

Comment 10 Pavel Alexeev 2011-04-02 19:23:16 UTC
Mario, thank you very much!

New Package SCM Request
=======================
Package Name: lde
Short Description: Linux disk editor
Owners: hubbitus
Branches: F-13 F-14 EL-5 EL-6
InitialCC:

Comment 11 Jason Tibbitts 2011-04-04 03:52:41 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-04-04 20:46:17 UTC
lde-2.6.1-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lde-2.6.1-4.el5

Comment 13 Fedora Update System 2011-04-04 21:00:08 UTC
lde-2.6.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lde-2.6.1-4.el6

Comment 14 Fedora Update System 2011-04-04 21:29:43 UTC
lde-2.6.1-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/lde-2.6.1-4.fc13

Comment 15 Fedora Update System 2011-04-04 21:35:44 UTC
lde-2.6.1-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lde-2.6.1-4.fc14

Comment 16 Fedora Update System 2011-04-05 03:00:03 UTC
lde-2.6.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 17 Fedora Update System 2011-04-12 21:23:38 UTC
lde-2.6.1-4.fc14 has been pushed to the Fedora 14 stable repository.

Comment 18 Fedora Update System 2011-04-12 21:29:12 UTC
lde-2.6.1-4.fc13 has been pushed to the Fedora 13 stable repository.

Comment 19 Fedora Update System 2011-04-19 16:56:42 UTC
lde-2.6.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 20 Fedora Update System 2011-04-19 16:56:54 UTC
lde-2.6.1-4.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.